-- altera vhdl_input_version vhdl_2008
-- XXX: QSYS Fix (https://www.intel.com/content/www/us/en/support/programmable/articles/000079458.html)

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity key_hash_generator is
    port (
        -- SYSTEM
        clk             : in std_logic;
        reset           : in std_logic;
        -- CONTROL
        start           : in std_logic;
        ack             : out std_logic;
        -- INPUT
        data_in         : in std_logic_vector(7 downto 0);
        valid_in        : in std_logic;
        ready_in        : out std_logic;
        last_word_in    : in std_logic;
        -- OUTPUT
        key_hash        : out std_logic_vector(127 downto 0);
        done            : out std_logic
    );
end entity;
